package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.Notice;

public interface NoticeMapper {
    int deleteByPrimaryKey(String id);

    int insert(Notice record);

    int insertSelective(Notice record);

    Notice selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Notice record);

    int updateByPrimaryKey(Notice record);

	int findUnreadNoticeCount(String aid);

	int selectUnreadedCount(String aid);

	int batchUpdateUnreaded(List<String> dl);

	void insertBatch(List<Notice> notice);
}